Debian Bug report logs - #693744
libnetcf1: incompatibility with libvirt-bin

version graph

Package: libnetcf1; Maintainer for libnetcf1 is Serge Hallyn <serge.hallyn@ubuntu.com>; Source for libnetcf1 is src:netcf.

Reported by: Félix Sipma <felix.sipma@no-log.org>

Date: Mon, 19 Nov 2012 21:36:02 UTC

Severity: serious

Found in versions netcf/0.2.2-1, libvirt0/0.9.12-5

Fixed in version netcf/1:0.2.0-5

Done: Al Stone <ahs3@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Serge Hallyn <serge.hallyn@ubuntu.com>:
Bug#693744; Package libnetcf1. (Mon, 19 Nov 2012 21:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Félix Sipma <felix.sipma@no-log.org>:
New Bug report received and forwarded. Copy sent to Serge Hallyn <serge.hallyn@ubuntu.com>. (Mon, 19 Nov 2012 21:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Félix Sipma <felix.sipma@no-log.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libnetcf1: incompatibility with libvirt-bin
Date: Mon, 19 Nov 2012 22:26:46 +0100
[Message part 1 (text/plain, inline)]
Package: libnetcf1
Version: 0.2.0-4
Severity: important

Dear Maintainer,

Upgrade of libnetcf1 from 0.2.0-4 to 0.2.2-2 seems to be incompatible
with libvirt-bin:

gueux@capeo:9017:18:~$ sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
   libvirt-bin (0.9.12-5)
   libvirt0 (0.9.12-5)
   python-libvirt (0.9.12-5)
   virt-viewer (0.5.4-1)
   virtinst (0.600.3-2)
The following NEW packages will be installed:
   libnl-route-3-200 (3.2.7-4)
The following packages will be upgraded:
   libnetcf1 (0.2.0-4 => 0.2.2-2)
1 upgraded, 1 newly installed, 5 to remove and 0 not upgraded.
Need to get 0 B/178 kB of archives.
After this operation, 12.9 MB disk space will be freed.
Do you want to continue [Y/n]?



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (600, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libnetcf1 depends on:
ii  augeas-lenses  0.10.0-1
ii  libaugeas0     0.10.0-1
ii  libc6          2.13-37
ii  libnl1         1.1-7
ii  libxml2        2.8.0+dfsg1-6
ii  libxslt1.1     1.1.26-14

libnetcf1 recommends no packages.

libnetcf1 suggests no packages.

-- no debconf information

--
Félix
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Serge Hallyn <serge.hallyn@ubuntu.com>:
Bug#693744; Package libnetcf1. (Wed, 21 Nov 2012 07:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor MICU <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Serge Hallyn <serge.hallyn@ubuntu.com>. (Wed, 21 Nov 2012 07:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 693744@bugs.debian.org (full text, mbox):

From: Teodor MICU <mteodor@gmail.com>
To: 693744@bugs.debian.org
Subject: libnetcf1: uninstallable due to Conflicts: libvirt0 (<= 0.10.1-2~)
Date: Wed, 21 Nov 2012 09:10:01 +0200
severity 693744 serious
stop

root@frost:~# aptitude full-upgrade
The following packages will be upgraded:
  libnetcf1{b}
1 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 51.6 kB of archives. After unpacking 3,072 B will be freed.
The following packages have unmet dependencies:
 libnetcf1 : Conflicts: libvirt0 (<= 0.10.1-2~) but 0.9.12-5 is installed.

This might be a unclean 'sid+exp' build error in which case a binNMU
by Release Team should fix it. I don't have the time to check this
now.

Cheers



Severity set to 'serious' from 'important' Request was from Teodor MICU <mteodor@gmail.com> to control@bugs.debian.org. (Wed, 21 Nov 2012 07:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Serge Hallyn <serge.hallyn@ubuntu.com>:
Bug#693744; Package libnetcf1. (Tue, 27 Nov 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leonardo Serra <leoserra@gmail.com>:
Extra info received and forwarded to list. Copy sent to Serge Hallyn <serge.hallyn@ubuntu.com>. (Tue, 27 Nov 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 693744@bugs.debian.org (full text, mbox):

From: Leonardo Serra <leoserra@gmail.com>
To: <693744@bugs.debian.org>
Subject: Can't install libvirt0
Date: Tue, 27 Nov 2012 13:55:42 -0200
Hi,

I can't install libvirt0:

server:~# aptitude install libvirt0
The following NEW packages will be installed:
  libnetcf1{ab} libnl1{a} libvirt0
0 packages upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 2270 kB/2324 kB of archives. After unpacking 4417 kB will be
used.
The following packages have unmet dependencies:
 libnetcf1 : Conflicts: libvirt0 (<= 0.10.1-2~) but 0.9.12-5 is to be
installed.
The following actions will resolve these dependencies:

     Keep the following packages at their current version:
1)     libvirt0 [Not Installed]

I believe this is a RC bug!

Thanks,
leoserra



Marked as found in versions netcf/0.2.2-1. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Thu, 29 Nov 2012 12:06:05 GMT) Full text and rfc822 format available.

Added indication that 693744 affects libvirt0 Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Thu, 29 Nov 2012 12:09:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions netcf/0.2.0-4. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Thu, 29 Nov 2012 12:09:06 GMT) Full text and rfc822 format available.

Marked as found in versions libvirt0/0.9.12-5. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 17 Dec 2012 11:06:07 GMT) Full text and rfc822 format available.

Reply sent to Al Stone <ahs3@debian.org>:
You have taken responsibility. (Tue, 18 Dec 2012 22:06:06 GMT) Full text and rfc822 format available.

Notification sent to Félix Sipma <felix.sipma@no-log.org>:
Bug acknowledged by developer. (Tue, 18 Dec 2012 22:06:06 GMT) Full text and rfc822 format available.

Message #30 received at 693744-close@bugs.debian.org (full text, mbox):

From: Al Stone <ahs3@debian.org>
To: 693744-close@bugs.debian.org
Subject: Bug#693744: fixed in netcf 1:0.2.0-5
Date: Tue, 18 Dec 2012 22:02:54 +0000
Source: netcf
Source-Version: 1:0.2.0-5

We believe that the bug you reported is fixed in the latest version of
netcf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693744@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Al Stone <ahs3@debian.org> (supplier of updated netcf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 18 Dec 2012 13:37:11 -0700
Source: netcf
Binary: netcf libnetcf-dev libnetcf1 libnetcf1-dbg
Architecture: source amd64
Version: 1:0.2.0-5
Distribution: unstable
Urgency: low
Maintainer: Serge Hallyn <serge.hallyn@ubuntu.com>
Changed-By: Al Stone <ahs3@debian.org>
Description: 
 libnetcf-dev - development library and headers for netcf
 libnetcf1  - cross-platform network configuration library
 libnetcf1-dbg - cross-platform network configuration library
 netcf      - programs for the netcf library
Closes: 693744 694362
Changes: 
 netcf (1:0.2.0-5) unstable; urgency=low
 .
   * Closes: #693744 -- revert to a version compatible with sid's
     libvirt0 instead of breaking libvirt installation; this forces
     the change to the epoch number
   * Closes: #694362 -- same issue as above, but reported from the
     standpoint of libvirt0 instead
Checksums-Sha1: 
 40aa54feb0cb55c330a397a3320456b519c4b6e7 1390 netcf_0.2.0-5.dsc
 d325cacb2b9dbb65cee687edeeddea294642619c 942160 netcf_0.2.0.orig.tar.gz
 2e4b9a835ab7658606ef22244f87f4e46914365a 7054 netcf_0.2.0-5.debian.tar.gz
 e2a560ff816f6c78032641642fcf7403565bf777 22192 netcf_0.2.0-5_amd64.deb
 b6a7d894528a967228cd5610ce6a4b1178f38c2c 48846 libnetcf-dev_0.2.0-5_amd64.deb
 fef1cf7853c560eb310706a7fd2622c9b6570d35 54398 libnetcf1_0.2.0-5_amd64.deb
 82514e566346d869323f2d9c3beb80dc920efd4f 137476 libnetcf1-dbg_0.2.0-5_amd64.deb
Checksums-Sha256: 
 d8760bab87030311f39de43bee4a477d812cf4d626829ca5e312a9b67bd9ace9 1390 netcf_0.2.0-5.dsc
 0f3bd01a87bca9293ea17903702ef213c1f46cee3f9e47145fe2c2cef65bc081 942160 netcf_0.2.0.orig.tar.gz
 c96cdd0bf87814737e045be9f548d71af78ef8246b0d5315283947e597d11f95 7054 netcf_0.2.0-5.debian.tar.gz
 ceeb39f961ef16f44615aeb1bd8b20ed17dd1310a2ce2aa39d65651d0c6ee486 22192 netcf_0.2.0-5_amd64.deb
 daaed7a7fde5a5e2aad0d6800ed51e595826dfe164a72efc5bb0960e7fad28c3 48846 libnetcf-dev_0.2.0-5_amd64.deb
 e0e95c8100ae075317910ac1fc50b3117a9aa2f793956b98d4dd275c572f93a7 54398 libnetcf1_0.2.0-5_amd64.deb
 cd1ef0c1d9cd7862b360d90a6be61e72abc33d5502fbf7446d096a6094b98365 137476 libnetcf1-dbg_0.2.0-5_amd64.deb
Files: 
 7533ff20e72db257b36257093ca4f753 1390 libs extra netcf_0.2.0-5.dsc
 3c8f3a7b847bb09fee554546acb1cb16 942160 libs extra netcf_0.2.0.orig.tar.gz
 8d56f1221b72cb570db309e4826c0ce4 7054 libs extra netcf_0.2.0-5.debian.tar.gz
 59c8cdc9ba2c8060824a310e1662277c 22192 admin extra netcf_0.2.0-5_amd64.deb
 2115c47595d111b0482d4f05a5b36bf6 48846 libdevel extra libnetcf-dev_0.2.0-5_amd64.deb
 6cbbf45293577d35169e4ff9195f32dd 54398 libs extra libnetcf1_0.2.0-5_amd64.deb
 fbe86639975219e35f3ed7bcf5243034 137476 debug extra libnetcf1-dbg_0.2.0-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFQ0Oevso6+T7qY4V0RAuX/AJ9OcM3hR0G/xZT2YjZE3Z7nh4KNMQCfcmTL
DTysc9relDAcz8z74aCN4iQ=
=pr65
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Serge Hallyn <serge.hallyn@ubuntu.com>:
Bug#693744; Package libnetcf1. (Tue, 18 Dec 2012 22:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Serge Hallyn <serge.hallyn@ubuntu.com>. (Tue, 18 Dec 2012 22:51:04 GMT) Full text and rfc822 format available.

Message #35 received at 693744@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 693744@bugs.debian.org
Cc: Guido Günther <agx@sigxcpu.org>
Subject: libnetcf1: incompatibility with libvirt-bin
Date: Tue, 18 Dec 2012 23:46:44 +0100
[Message part 1 (text/plain, inline)]
   * Closes: #693744 -- revert to a version compatible with sid's
     libvirt0 instead of breaking libvirt installation; this forces
     the change to the epoch number

What? The epoch number bump was certainly not required.
Only a recompilation of 0.2.2 against libnl1 while dropping the Breaks
against libvirt.

Well, damage is done, now unfortunately.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Jan 2013 07:26:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:28:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.